Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::OS::SocketUDP Class Referenceabstract

`#include <socket_udp.h>`

## Public Member Functions
virtual size_t | read (uint8_t buf[], size_t len)=0
virtual void | write (const uint8_t buf[], size_t len)=0
virtual | ~SocketUDP ()=default

## Detailed Description

A wrapper around a simple blocking UDP socket

Definition at line 31 of file socket_udp.h.

## Constructor & Destructor Documentation

virtual Botan::OS::SocketUDP::~SocketUDP | ( |  | ) |
| virtual default

The socket will be closed upon destruction

## Member Function Documentation

virtual size_t Botan::OS::SocketUDP::read | ( | uint8_t | buf[],
|  | size_t | len
| ) |  |
| pure virtual

Reads up to len bytes, returns bytes written to buf. Returns 0 on EOF. Throws on error.

virtual void Botan::OS::SocketUDP::write | ( | const uint8_t | buf[],
|  | size_t | len
| ) |  |
| pure virtual

Write to the socket. Returns immediately. Throws on error.

The documentation for this class was generated from the following file:

- src/lib/utils/socket/socket_udp.h